apiVersion: apps/v1
kind: Deployment
metadata:
  name: whiskey-api
  namespace: auth
  labels:
    app: whiskey
    component: api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: whiskey
      component: api
  template:
    metadata:
      labels:
        app: whiskey
        component: api
        sidecar.istio.io/inject: "true"
    spec:
      containers:
        - name: whiskey-api
          image: registry.gitlab.com/agepoly/it/dev/whiskey/whiskey-api:f24301b8
          imagePullPolicy: IfNotPresent
          
          # command: ["/bin/bash"]
          # args: ["-c", "sleep 999999"]

          env:
            - name: ROCKET_PORT
              value: "4000"
            - name: ROCKET_ADDRESS
              value: "0.0.0.0"
            - name: HYDRA_ADMIN_ENDPOINT
              value: "http://hydra-admin.auth.svc:4445"
            - name: ALLOWED_ORIGINS
              value: "https://whiskey.agepoly.ch,https://whiskey-api.agepoly.ch"
            # - name: SENTRY_DSN
            #   value: "https://de485bce10b060e880ac1704212edfd1@sentry.agepoly.ch/3"

            - name: DATABASE_URL
              valueFrom:
                secretKeyRef:
                  key: DATABASE_URL
                  name: whiskey-api-secrets
            - name: JWT_SECRET
              valueFrom:
                secretKeyRef:
                  key: JWT_SECRET
                  name: whiskey-api-secrets

          ports:
            - containerPort: 4000
              name: http
              protocol: TCP

          resources: {}

          volumeMounts: []

      volumes: []
